/***********************************************************************
**                                                                    **
**          /----------------------------------------------\          **
**         |  Delphes, a framework for the fast simulation  |         **
**         |       of a  generic collider experiment        |         **
**          \----------------------------------------------/          **
**                                                                    **
**                                                                    **
**   This package uses:                                               **
**   ------------------                                               **
**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
**   FROG: [hep-ex/0901.2718v1]                                       **
**                                                                    **
** ------------------------------------------------------------------ **
**                                                                    **
**   Main authors:                                                    **
**   -------------                                                    **
**                                                                    **
**                Severine Ovyn                Xavier Rouby           ** 
**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
**                                                                    ** 
**         Center for Particle Physics and Phenomenology (CP3)        ** 
**                Universite catholique de Louvain (UCL)              **       
**                     Louvain-la-Neuve, Belgium                      **            
**                                                                    **
**                      Copyright (C) 2008-2009,                      **
**                        All rights reserved.                        **  
**                                                                    **
***********************************************************************/

#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
#include "interface/D_Constants.h"

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class TSortableObject;
#pragma link C++ class TRootSelectorInfo;
#pragma link C++ class TRootGenParticle;
#pragma link C++ class GenParticle;
#pragma link C++ class TRootElectron;
#pragma link C++ class TRootMuon;
#pragma link C++ class TRootPhoton;
#pragma link C++ class TRootTauJet;
#pragma link C++ class TRootJet;
#pragma link C++ class TRootTracks;
#pragma link C++ class TRootETmis;
#pragma link C++ class TRootCalo;
#pragma link C++ class TRootGenEvent;
#pragma link C++ class TRootZdcHits;
#pragma link C++ class TRootRomanPotHits;
#pragma link C++ class TRootTrigger;

#pragma link C++ class TRootParticle;
#pragma link C++ class TRootLHEFEvent+;
#pragma link C++ class TRootLHEFParticle+;

#endif
